Reaktionen
Basis-URL: https://app.neuroflash.com/api/digital-twin-service
Reaktionen sind Zwillingsantworten auf Nachrichtenartikel und andere Inhaltsquellen. Sie enthalten vorgeschlagene Maßnahmen und können nach Sprache und Typ gefiltert werden.
Reaktionen auflisten
GET
/v1/workspaces/{workspace_id}/reactionsReaktionen auflisten, bei denen target_audience_id NULL ist, mit Pagination.
Pfadparameter
| Parameter | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
workspace_id | string | Ja |
Abfrageparameter
| Parameter | Typ | Standard | Beschreibung |
|---|---|---|---|
page | integer | 1 | Seitennummer (1-basiert) |
size | integer | 20 | Anzahl der Elemente pro Seite |
order | string | — | Sortierreihenfolge nach createdAt |
language | string | — | Nach Sprachcode filtern (z. B. en, de, es) |
type | string | — | Nach Reaktionstyp filtern (chat oder create) |
Antwort
FeldTypBeschreibung
dataobjectListe der Reaktionen für diese Seitepageobject
sizeintegerAnzahl der Elemente pro SeitetotalElementsintegerGesamtanzahl der übereinstimmenden ElementetotalPagesintegerGesamtanzahl der SeitencurrentPageintegerAktuelle Seitennummer (1-basiert)Beispiel
- cURL
- Python
- Node.js
- Go
curl "https://app.neuroflash.com/api/digital-twin-service/v1/workspaces/{workspace_id}/reactions" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
response = requests.get(
f"https://app.neuroflash.com/api/digital-twin-service/v1/workspaces/{workspace_id}/reactions",
headers={"Authorization": f"Bearer {token}"},
).json()
const response = await fetch(
`https://app.neuroflash.com/api/digital-twin-service/v1/workspaces/${workspaceId}/reactions`,
{ headers: { Authorization: `Bearer ${token}` } }
).then((r) => r.json());
req, _ := http.NewRequest("GET", "https://app.neuroflash.com/api/digital-twin-service/v1/workspaces/"+workspaceID+"/reactions", nil)
req.Header.Set("Authorization", "Bearer "+token)
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
Antwort:
{
"data": {},
"page": {
"size": 0,
"totalElements": 0,
"totalPages": 0,
"currentPage": 0
}
}
Reaktionsquellen abrufen
GET
/v1/workspaces/{workspace_id}/reactions/{reaction_id}/sourcesArtikelquellen für eine Reaktion abrufen.
Pfadparameter
| Parameter | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
workspace_id | string | Ja | |
reaction_id | string | Ja | Die Reaktions-ID |
Beispiel
- cURL
- Python
- Node.js
- Go
curl "https://app.neuroflash.com/api/digital-twin-service/v1/workspaces/{workspace_id}/reactions/{reaction_id}/sources" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
response = requests.get(
f"https://app.neuroflash.com/api/digital-twin-service/v1/workspaces/{workspace_id}/reactions/{reaction_id}/sources",
headers={"Authorization": f"Bearer {token}"},
).json()
const response = await fetch(
`https://app.neuroflash.com/api/digital-twin-service/v1/workspaces/${workspaceId}/reactions/${reactionId}/sources`,
{ headers: { Authorization: `Bearer ${token}` } }
).then((r) => r.json());
req, _ := http.NewRequest("GET", "https://app.neuroflash.com/api/digital-twin-service/v1/workspaces/"+workspaceID+"/reactions/"+reactionID+"/sources", nil)
req.Header.Set("Authorization", "Bearer "+token)
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
Antwort:
[
{
"accessedAt": "2026-02-13T10:30:00Z",
"url": "https://example.com/article",
"type": "news",
"content": {}
}
]